Game Develop Core: gd::ObjectListDialogsHelper Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::ObjectListDialogsHelper Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Utility class used to display objects lists into wxWidgets tree controls. More...

`#include <ObjectListDialogsHelper.h>`

## Public Member Functions

| ObjectListDialogsHelper (const gd::Project &project_, const gd::Layout &layout_)
void | SetSearchText (std::string searchText_)
void | SetAllowedObjectType (std::string allowedObjectType_)
void | SetGroupsAllowed (bool canSelectGroup)
void | RefreshLists (wxTreeCtrl *sceneObjectsList, wxTreeCtrl *sceneGroupsList, wxTreeCtrl *globalObjectsList, wxTreeCtrl *globalGroupsList)
void | RefreshList (wxTreeCtrl *objectsList)
| Update a tree control with all objects and objects groups from the project and layout. More...

## Detailed Description

Utility class used to display objects lists into wxWidgets tree controls.

Todo:
  Thumbnail support

See Also
  ChooseObjectDialog

## Constructor & Destructor Documentation

gd::ObjectListDialogsHelper::ObjectListDialogsHelper | ( | const gd::Project & | project_,
|  | const gd::Layout & | layout_
| ) |  |

inline

Default constructor.

Parameters

  project | Project
  layout | Layout

## Member Function Documentation

void gd::ObjectListDialogsHelper::RefreshList | ( | wxTreeCtrl * | objectsList) |  |

Update a tree control with all objects and objects groups from the project and layout.

Note
  The wxTreeCtrl must have an image list containing the object icon and the object group icon ( at index 0 and 1 )

Parameters

  objectsList | The wxTreeCtrl which will contain the objects and groups
  objectTypeAllowed | If not empty, only objects of this type will be displayed
  searchText | The text in the search box, which is used to filter objects

void gd::ObjectListDialogsHelper::RefreshLists | ( | wxTreeCtrl * | sceneObjectsList,
|  | wxTreeCtrl * | sceneGroupsList,
|  | wxTreeCtrl * | globalObjectsList,
|  | wxTreeCtrl * | globalGroupsList
| ) |  |

Update tree controls with objects and objects groups from the project and layout

Parameters

  sceneObjectsList | The wxTreeCtrl which will contain the layout objects
  sceneGroupsList | The wxTreeCtrl which will contain the layout groups
  globalObjectsList | The wxTreeCtrl which will contain the project objects
  globalGroupsList | The wxTreeCtrl which will contain the project groups
  objectTypeAllowed | If not empty, only objects of this type will be displayed
  searchText | The text in the search box, which is used to filter objects

The documentation for this class was generated from the following files:

- ObjectListDialogsHelper.h
- ObjectListDialogsHelper.cpp